#pragma once

#include <set>
#include <memory>
#include <string>

#include "core/time.h"
#include "classicmode/classicnote.h"

class Context;

namespace classic
{

struct Beatmap
{
    std::set<ClassicNote*, kku::NotePtrComparator> notes;
    kku::microsec visibility_offset;
};

Beatmap createBeatmap(const std::string& filepath, Context * const context);

}

